{
	"schema": "https://iot-ap.ikonke.com/model/product_3071.json",
	"productType": "waterValve",
	"version": "1.0",
	"profile": {
		"heartbeat": "300",	
		"productCode": "3071",
		"productName": "智能水阀控制器Z3S(KONKE)"
	},
	"services": [
		{
			"outputData": [],
			"identifier": "set",
			"inputData": [
				{
					"identifier": "PowerSwitch",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				},
				{
					"identifier": "PowerDownSave",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "断电记忆"
				}
			],
			"method": "thing.service.property.set",
			"name": "set",
			"required": true,
			"callType": "async",
			"desc": "属性设置"
		},
		{
			"outputData": [
				{
					"identifier": "PowerSwitch",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				},
				{
					"identifier": "PowerDownSave",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "断电记忆"
				}
			],
			"identifier": "get",
			"inputData": [
				"PowerSwitch", 
				"PowerDownSave"
			],
			"method": "thing.service.property.get",
			"name": "get",
			"required": true,
			"callType": "async",
			"desc": "属性获取"
		}
	],
	"properties": [
		{
			"identifier": "PowerSwitch",
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "打开"
				},
				"type": "bool"
			},
			"name": "电源开关",
			"accessMode": "rw",
			"required": true
		},
		{
			"identifier": "PowerDownSave",
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "打开"
				},
				"type": "bool"
			},
			"name": "断电记忆",
			"accessMode": "rw",
			"required": true
		}
	],
	"events": [
		{
			"outputData": [
				{
					"identifier": "PowerSwitch",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				},
				{
					"identifier": "PowerDownSave",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "断电记忆"
				}
			],
			"identifier": "property",
			"method": "thing.event.property.post",
			"name": "property",
			"type": "info",
			"required": true,
			"desc": "属性上报"
		}
	]
}
